from sqlalchemy.ext.asyncio import create_async_engine
from sqlmodel.ext.asyncio.session import AsyncSession

import pandas as pd

echo = False
pg_url = "postgresql+asyncpg://avgis@localhost/avgis"

engine = create_async_engine(pg_url, echo=echo)

async def get_db_session():
    async with AsyncSession(engine) as session:
        yield session

def pandas_query(session, query):
    return pd.read_sql_query(query, session.connection())